> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/partner/query-topup-result.md).

# Query Topup Result

### **Request URL** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/partner/query-topup-result`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data ：**

| Name                                        | Type   | Description  |
| ------------------------------------------- | ------ | ------------ |
| order\_no<mark style="color:red;">\*</mark> | string | Order number |

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
        "topup_id": 100025,
        "order_no": "14FCD1f3-3B73-430b-",
        "order_status": 4,
        "pay_currency": "USD",
        "pay_amount": "0.00",
        "topup_currency": "USD",
        "topup_amount": "1.00",
        "created_at": "2024-10-25 14:48:18"
        },
    "total": 1,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name            | Type    | Description                                                                                     |
| --------------- | ------- | ----------------------------------------------------------------------------------------------- |
| topup\_id       | long    | Topup Id                                                                                        |
| order\_no       | string  | Parter Order number                                                                             |
| order\_status   | integer | <p>Order status,</p><p>1:success</p><p>8:fail</p><p>4:to be confirmed</p><p>11:under review</p> |
| pay\_currency   | string  | Pay Currency                                                                                    |
| pay\_amount     | string  | Pay Amount                                                                                      |
| topup\_currency | string  | Topup Currency                                                                                  |
| topup\_amount   | string  | Topup Amount                                                                                    |
| created\_at     | string  | Format: yyyy-MM-dd HH:mm:ss                                                                     |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://card-api-sandbox.pagsmile.com/issuing/partner/query-topup-result' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id": "900000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5jVmTSjGoectzYb"
}'
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
